%Here we Create DCProblems out of a design and a container. There are ready
%DCProblems. The initialization of such problems is similar to native
%problems. A example for the usage of DCProblems is found in
%exUsageOfDCProblems. There are two ways of initialization of a design. The
%easy way is to take a comply implemented design. The other way is to take
%a very simple design and to add som transformations. In this example we
%only consider the first possibilty. An example for the second possibility
%is found in exCreateDesigns.

%We now start to give a new way of constructing a design-centering problem.
disp('first problem')
%For a design centering problem we need 1 design and 1 container.
%We get a design just by picking a 2 dimensional design
design=DesignCircle()
%Some of the designs also need some more information. For example
%'designHyperEllipse' needs some information about the dimension.
%'designSuperEllipse' needs information about the dimension and the
%exponent.

%next we pick a container. Again some need more information for the
%constructor. At first we pick a simple container.
container=ContainerConcTriangle()

%Now we get a GSIPProblem by using the constructor of the class DCProblemAsGSIP. The constructor
%needs one design and one container. The design and the container must have
%the same dimension.

problem=DCProblemAsGSIP(design,container)

%This is the same problem as given in DCProblem3
problem.plotSols( [0.7486   -0.2304    0.7696],[],[])

disp('second problem')
% In a more complicated problem we need more information for the
% constructors.
%'designHyperEllipse' needs information abouthelp the dimension
design=DesignHyperEllipse(3)

%The container 'containerHyperCube' also needs information about the
%dimension. Moreover, the constructor needs information about the edge
%lenght. In the middle of these two properties the constructor needs a
%boolean value. This value says if the concavified version or the normal
%version should be used.
container=ContainerHyperCube(3,true)

%Again we get the GSIP with 'DCProblemAsGSIP'
problem=DCProblemAsGSIP(design,container)

problem.plotSols([0.5,0,0.0007,0.5,0.0006,0.2500,0.5,0.5,0.25],{},{})



