function [ Dxg] = DxAllUppLevIneqConstrs(obj, x )
    %Dxg=DxAllUppLevIneqConstrs(x) returns the derivative of the function
    %evalAllUppLevIneqConstrs with respect to x. 


    Dxg=zeros(0,obj.nrOfUppLevVars);
    if obj.getNrUppLevNonlinIneqs>0
        Dxg=[Dxg;obj.DxUppLevNonlinIneqConstrs(x)];
    end
    %Add the linear constraints    
    [A,b]=obj.getLinIneqsOnUppLevVars();    
    if size(A,1)>0
        Dxg=[Dxg;A]; 
    end
    
    %Add the boundaries
    [lb,ub]=obj.getBoundsOnUppLevVars();
    constrlb=lb-x;
    %drop the boundaries with -inf
    index=1:obj.nrOfUppLevVars;
    indexConstrlb=index(constrlb~=-inf);
    Dxg_tmp=-eye(obj.nrOfUppLevVars);
    Dxg=[Dxg;Dxg_tmp(indexConstrlb,:)];
    
    construb=x-ub;
    construb=construb(construb~=-inf);
    indexConstrub=index(construb~=-inf);
    Dxg_tmp=eye(obj.nrOfUppLevVars);
    Dxg=[Dxg;Dxg_tmp(indexConstrub,:)];
   


end

