function [ DxL ] = DxLowLevLagrangeFun(obj,i,x,y,mu)
    %Returns the derivative with respect to x of  the largrange function 
    %for the i-th lower level problem. The first elements of mu correspond 
    %to the constraints u. The next to the linear constraint, then come the
    %upper bounds and the last elements belong to the lower bounds. 
    %The bounds which are inf or -inf are dropped.

    %objective Function for the i-th LowerLevelProblem
    DxL=obj.DxSemiInfConstrs(i,x,y);
    %For adding the constraints find the index of the IndexSet
    indexSet=obj.getIndexSetOfSemiInfConstr(i);
    
    DxL=DxL-mu*obj.DxAllLowLevConstrs(indexSet,x,y);
%     %saves the number of already added constraints
%     ID=0;
%     %Add the non linear constraints
%     if obj.nrOfLowLevNonlinConstrs(indexSet)>0
%         DxL=DxL-mu(1:obj.nrOfLowLevNonlinConstrs(indexSet))*obj.DxLowLevNonlinConstrs(indexSet,x,y)';
%         ID=ID+obj.nrOfLowLevNonlinConstrs(indexSet);
%     end
%     %Add the linear constraints    
%     [A,b]=obj.getLinIneqsOnLowLevVars(indexSet,x);
%     [DxA,Dxb]=obj.DxLinIneqsOnLowLevVars(indexSet,x);
%     nrLinIneqs=size(A,1);
%     DxAAsMatrix=reshape(DxA,[obj.nrOfUppLevVars*nrLinIneqs,obj.nrOfLowLevVars]);
%     %vector to extract right rows
%     indexVector=(0:(obj.nrOfUppLevVars-1))*nrLinIneqs;
%     for i=1:nrLinIneqs
%         DxL=DxL-mu(ID+i)*((DxAAsMatrix(indexVector+i,:)*y')'-Dxb(:,i)); 
%     end
%     
%     ID=ID+nrLinIneqs;
%     %Add the boundaries
%     [lb,ub]=obj.getBoundsOnLowLevVars(indexSet,x);
%     [Dxlb,Dxub]=obj.DxBoundsOnLowLevVars(indexSet,x);
%     constrlb=lb-y;
%     %drop the boundaries with -inf
%     constrlb=constrlb(constrlb~=-inf);
%     nrconstrlb=length(constrlb);
%     Dxlb=Dxlb(constrlb~=-inf,:);
%     DxL=DxL-mu(ID+1:ID+nrconstrlb)*Dxlb;
%     ID=ID+nrconstrlb;
%     
%     construb=y-ub;
%     construb=construb(construb~=-inf);
%     nrconstrub=length(construb);
%     Dxub=Dxub(construb~=-inf,:);
%     DxL=DxL-mu(ID+1:ID+nrconstrub)*Dxub;
   

end

