function [DyDyu] = DyDyAllLowLevConstrs(obj,index,x,y)
    %DyDyu=DyDyAllLowLevConstrs(i,x,y) returns the seccond derivative of the
    %function evalAllLowLevConstrs with respect to y. 

    DyDyu=zeros(0,obj.nrOfLowLevVars(index),obj.nrOfLowLevVars(index));
    %Vector for indices
    indexVector=(0:(obj.nrOfLowLevVars-1))*obj.nrOfLowLevNonlinConstrs;
    if obj.nrOfLowLevNonlinConstrs(index)>0
        DyDyu=[DyDyu;obj.DyDyLowLevNonlinConstrs(index,x,y)];
    end
    

    %The linear constraints and the bboundaries vanish in the second 
    %derivative 
    [A,b]=obj.getLinIneqsOnLowLevVars(index,x);
    nrLinIneqs=size(A,1);
    [lb,ub]=obj.getBoundsOnLowLevVars(index,x);
    constrlb=lb-y;
    %drop the boundaries with -inf
    constrlb=constrlb(constrlb~=-inf);    
    construb=y-ub;
    construb=construb(construb~=-inf);
    DyDyu=[DyDyu;zeros(length(constrlb)+length(construb)+nrLinIneqs,obj.nrOfLowLevVars(index),obj.nrOfLowLevVars)];
    

end

