function [ g] = evalAllUppLevEqConstrs(obj, x)
%   g=evalAllUppLevEqConstrs(i,x,y) plugs the two different types of
    %upper level equality constraints together. The first input is the 
    %index of the indexset, x are the upper level variables and y the lower
    %level variables.    
    %The first constraints are the non-linear constratins, the next are the
    %linear constraints and the last are the boundaries.


%non linear
g1=obj.evalUppLevNonlinEqConstrs(x);

%linear constraints
[D,c]=obj.getLinEqsOnUppLevVars;
if size(D,2)>0
    g2=D*x'-c;
    g2=g2';
else
    g2=[];
end
g=[g1,g2];

end
