function [varargout] = getDerivativeViaDifferenceQuotient(fun,x0,fSize)
%for the difference quotient (f(x+eps/2)-f(x-eps/2))/2
%fSize
myEps=10^(-6);

nrOutputs=length(fSize);
xSize=size(x0,2);

%initialize zero matrices
for n=1:nrOutputs
    if size(fSize{n},2)==0
        varargout{n}=zeros([1,xSize]);
    else
        varargout{n}=zeros([fSize{n},xSize]);
    end
    totalNumberElementsFun{n}=prod(fSize{n});
    indices{n}=1:1:totalNumberElementsFun{n};
end

f1=cell(1,nrOutputs);
f2=cell(1,nrOutputs);

for i=1:xSize
    x1=x0;
    x2=x0;
    x1(i)=x1(i)+myEps/2;
    x2(i)=x2(i)-myEps/2;
    [f1{:}]=fun(x1);
    [f2{:}]=fun(x2);
    for n=1:nrOutputs
        if any(fSize{n}==0)            
        else
            (f1{n}-f2{n})/myEps;
            varargout{n}(indices{n}+(i-1)*totalNumberElementsFun{n});
            varargout{n}(indices{n}+(i-1)*totalNumberElementsFun{n})=(f1{n}-f2{n})/myEps;
        end
                  
    end
    for n=1:nrOutputs
        varargout{n}(isnan(varargout{n}))=0;

    end
end

end

