function [ works ] = checkOneFunction(object,stringNameOfFunction,sizeOfOutput,varargin )
%checkOneFunction(object,stringNameOfFunction,sizeOfOutput,input1,input2,...)
%checks a single function. Checks whether the the output sizes are correct 
%and wheter the function is executable. Throws a warning otherwise. 
%
works=1;
f=str2func(stringNameOfFunction);
nrOfOutput=length(sizeOfOutput);
try
 output=cell(1,nrOfOutput);
     [output{1:nrOfOutput}]=f(object,varargin{:});
 for i=1:nrOfOutput
     [r,c]=size(output{i});
     if (sizeOfOutput{i}(1)~=inf && r~=sizeOfOutput{i}(1)) || (sizeOfOutput{i}(2)~=inf && c~=sizeOfOutput{i}(2))
         switch i
             case 1
                 warning('The %dst output of the function %s does not have the correct size',i,stringNameOfFunction);
             case 2
                 warning('The %dnd output of the function %s does not have the correct size',i,stringNameOfFunction);
             case 3
                 warning('The %drd output of the function %s does not have the correct size',i,stringNameOfFunction);
             otherwise
                 warning('The %dth output of the function %s does not have the correct size',i,stringNameOfFunction);
         end
         
         works=0;
     end

 end
 catch me
     %      for i=1:length(varargin)
    %         varargin{i}
    %      end
     
     warning('The function %s does not work',stringNameOfFunction);
     disp(me.message);
          works=0;
 end

end

