classdef ContainerConcTriangle < Container
    %C=ContainerConcTriangle() creates an instance of the container C given by:
    %
    %       C={ y in R^2 with:
    %               -y1-y2^2 <= 0
    %               -y1-1 <= 0
    %               0.25y1+y2-0.75 <= 0
    %
    %   Bounding box: [-1,7]x[-1,1]
     
    
    properties (GetAccess=protected)
        dim =2;
        nrOfConstFuns=3;
        BoundingBox=[-1,-1;7,1];
        canPlot='on';
        containerPlot;
    end
    
    
    methods
        %Container function
        function g=evalDescrFuns(obj,i,y)  
           
           m=size(y,1);
           o=ones(m,1);
          
           switch i
               case 1
                   g=(-y(:,1)-y(:,2).^2);
               case 2
                   g=(-y(:,2)-o);
               case 3
                   g=(1/4.*y(:,1)+y(:,2)-3/4.*o);
               otherwise
                   
           end

           
           
        end
        
        %derivative
        function Dy_g=DyDescrFuns(obj,i,y) 

            m=size(y,1);
            
            o=ones(m,1);
            z=zeros(m,1);
            switch i
                case 1
                    Dy_g=[-o,-2*y(:,2)];
                case 2
                    Dy_g=[z,-o];
                case 3
                    Dy_g=[1/4*o,o];
            end
            
        end
        function []=plotContainer(~)
            X = [7; ... %vertex
                -1; -0.81; -0.64; -0.49; -0.36; -0.25; -0.16; -0.09; -0.04; -0.01; 0; ...
                -0.01; -0.04; -0.09; -0.16; -0.25; -0.36; -0.49; -0.64; -0.81;... %parabola
                -1]; %vertex
            Y = [-1; ...        %vertex
                -1; -0.9; -0.8; -0.7; -0.6; -0.5; -0.4; -0.3; -0.2; -0.1; 0; ...
                0.1; 0.2; 0.3; 0.4; 0.5; 0.6; 0.7; 0.8; 0.9;... %parabola
                1];     %vertex
   
            ph = fill(X, Y, [135/255, 206/255, 250/255]); % sky blue
            set(ph, 'EdgeColor', 'blue');
            hold on;
            
        end
    end
    
end

